[maemo-commits] [maemo-commits] r16347 - in projects/haf/trunk/apt: . debian methods

From: subversion at stage.maemo.org subversion at stage.maemo.org
Date: Fri Oct 3 17:39:21 EEST 2008
Author: marivoll
Date: 2008-10-03 17:39:19 +0300 (Fri, 03 Oct 2008)
New Revision: 16347

Modified:
   projects/haf/trunk/apt/configure
   projects/haf/trunk/apt/configure.in
   projects/haf/trunk/apt/debian/changelog
   projects/haf/trunk/apt/debian/control
   projects/haf/trunk/apt/debian/rules
   projects/haf/trunk/apt/maemostrip.patch
   projects/haf/trunk/apt/methods/makefile
Log:
  * Re-enabled https transport.  Updated maemostrip.patch.


Modified: projects/haf/trunk/apt/configure
===================================================================
--- projects/haf/trunk/apt/configure	2008-10-03 14:37:40 UTC (rev 16346)
+++ projects/haf/trunk/apt/configure	2008-10-03 14:39:19 UTC (rev 16347)
@@ -1798,7 +1798,7 @@
 
 
 cat >>confdefs.h <<_ACEOF
-#define VERSION "0.7.14maemo3"
+#define VERSION "0.7.14maemo4~unreleased"
 _ACEOF
 
 PACKAGE="apt"
@@ -4498,9 +4498,209 @@
 
 LIBS="$saveLIBS"
 
+{ echo "$as_me:$LINENO: checking for curl_easy_init in -lcurl" >&5
+echo $ECHO_N "checking for curl_easy_init in -lcurl... $ECHO_C" >&6; }
+if test "${ac_cv_lib_curl_curl_easy_init+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lcurl  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char curl_easy_init ();
+int
+main ()
+{
+return curl_easy_init ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_curl_curl_easy_init=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+	ac_cv_lib_curl_curl_easy_init=no
+fi
 
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_curl_curl_easy_init" >&5
+echo "${ECHO_T}$ac_cv_lib_curl_curl_easy_init" >&6; }
+if test $ac_cv_lib_curl_curl_easy_init = yes; then
+  if test "${ac_cv_header_curl_curl_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for curl/curl.h" >&5
+echo $ECHO_N "checking for curl/curl.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_curl_curl_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_curl_curl_h" >&5
+echo "${ECHO_T}$ac_cv_header_curl_curl_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking curl/curl.h usability" >&5
+echo $ECHO_N "checking curl/curl.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <curl/curl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking curl/curl.h presence" >&5
+echo $ECHO_N "checking curl/curl.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <curl/curl.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: curl/curl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: curl/curl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: curl/curl.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: curl/curl.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: curl/curl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: curl/curl.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: curl/curl.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: curl/curl.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: curl/curl.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: curl/curl.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: curl/curl.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: curl/curl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: curl/curl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: curl/curl.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: curl/curl.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: curl/curl.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for curl/curl.h" >&5
+echo $ECHO_N "checking for curl/curl.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_curl_curl_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_curl_curl_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_curl_curl_h" >&5
+echo "${ECHO_T}$ac_cv_header_curl_curl_h" >&6; }
+
+fi
+if test $ac_cv_header_curl_curl_h = yes; then
+  curl_ok=yes
+else
+  curl_ok=no
+fi
+
+
+else
+  { { echo "$as_me:$LINENO: error: failed: I need CURL due https support" >&5
+echo "$as_me: error: failed: I need CURL due https support" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+
+
 { echo "$as_me:$LINENO: checking debian architecture" >&5
 echo $ECHO_N "checking debian architecture... $ECHO_C" >&6; }
 archset="`dpkg-architecture -qDEB_HOST_ARCH`"

Modified: projects/haf/trunk/apt/configure.in
===================================================================
--- projects/haf/trunk/apt/configure.in	2008-10-03 14:37:40 UTC (rev 16346)
+++ projects/haf/trunk/apt/configure.in	2008-10-03 14:39:19 UTC (rev 16347)
@@ -18,7 +18,7 @@
 AC_CONFIG_HEADER(include/config.h:buildlib/config.h.in include/apti18n.h:buildlib/apti18n.h.in)
 
 dnl -- SET THIS TO THE RELEASE VERSION --
-AC_DEFINE_UNQUOTED(VERSION,"0.7.14maemo3")
+AC_DEFINE_UNQUOTED(VERSION,"0.7.14maemo4~unreleased")
 PACKAGE="apt"
 AC_DEFINE_UNQUOTED(PACKAGE,"$PACKAGE")
 AC_SUBST(PACKAGE)
@@ -74,12 +74,12 @@
 
 LIBS="$saveLIBS"
 
-dnl AC_CHECK_LIB(curl, curl_easy_init,
-dnl      [AC_CHECK_HEADER(curl/curl.h,
-dnl         curl_ok=yes,
-dnl         curl_ok=no)],
-dnl      AC_MSG_ERROR([failed: I need CURL due https support]),
-dnl )
+AC_CHECK_LIB(curl, curl_easy_init,
+     [AC_CHECK_HEADER(curl/curl.h,
+        curl_ok=yes,
+        curl_ok=no)],
+     AC_MSG_ERROR([failed: I need CURL due https support]),
+)
 
 AC_SUBST(BDBLIB)
 

Modified: projects/haf/trunk/apt/debian/changelog
===================================================================
--- projects/haf/trunk/apt/debian/changelog	2008-10-03 14:37:40 UTC (rev 16346)
+++ projects/haf/trunk/apt/debian/changelog	2008-10-03 14:39:19 UTC (rev 16347)
@@ -1,6 +1,6 @@
 apt (0.7.14maemo4~unreleased) unstable; urgency=low
 
-  * 
+  * Re-enabled https transport.  Updated maemostrip.patch.
 
  -- Marius Vollmer <marius.vollmer at nokia.com>  Wed, 24 Sep 2008 14:44:43 +0300
 

Modified: projects/haf/trunk/apt/debian/control
===================================================================
--- projects/haf/trunk/apt/debian/control	2008-10-03 14:37:40 UTC (rev 16346)
+++ projects/haf/trunk/apt/debian/control	2008-10-03 14:39:19 UTC (rev 16347)
@@ -4,7 +4,7 @@
 Maintainer: APT Development Team <deity at lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg at debian.org>, Adam Heath <doogie at debian.org>, Matt Zimmerman <mdz at debian.org>, Michael Vogt <mvo at debian.org>, Otavio Salvador <otavio at debian.org>
 Standards-Version: 3.7.2.2
-Build-Depends: debhelper (>= 5.0), gettext (>= 0.12)
+Build-Depends: debhelper (>= 5.0), gettext (>= 0.12), libcurl3-dev
 XS-Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
 
 Package: apt
@@ -47,3 +47,12 @@
  apt-extracttemplates is used by debconf to prompt for configuration 
  questions before installation. apt-ftparchive is used to create Package
  and other index files. apt-sortpkgs is a Package/Source file normalizer.
+
+Package: apt-transport-https
+Architecture: any
+Depends: ${shlibs:Depends}
+Priority: optional
+Section: admin
+Description: APT https transport
+ This package contains a APT https transport. It makes it possible to
+ use 'deb https://foo distro main' lines in the sources.list.

Modified: projects/haf/trunk/apt/debian/rules
===================================================================
--- projects/haf/trunk/apt/debian/rules	2008-10-03 14:37:40 UTC (rev 16346)
+++ projects/haf/trunk/apt/debian/rules	2008-10-03 14:39:19 UTC (rev 16347)
@@ -185,7 +185,7 @@
 
 # Build architecture-dependent files here.
 
-binary-arch: apt libapt-pkg-dev apt-utils # apt-transport-https
+binary-arch: apt libapt-pkg-dev apt-utils apt-transport-https
 apt: build debian/shlibs.local
 	dh_testdir -p$@
 	dh_testroot -p$@

Modified: projects/haf/trunk/apt/maemostrip.patch
===================================================================
--- projects/haf/trunk/apt/maemostrip.patch	2008-10-03 14:37:40 UTC (rev 16346)
+++ projects/haf/trunk/apt/maemostrip.patch	2008-10-03 14:39:19 UTC (rev 16347)
@@ -1,26 +1,3 @@
-Index: configure.in
-===================================================================
---- configure.in	(revision 16203)
-+++ configure.in	(working copy)
-@@ -74,12 +74,12 @@ AC_CHECK_HEADER(db.h,
- 
- LIBS="$saveLIBS"
- 
--AC_CHECK_LIB(curl, curl_easy_init,
--     [AC_CHECK_HEADER(curl/curl.h,
--        curl_ok=yes,
--        curl_ok=no)],
--     AC_MSG_ERROR([failed: I need CURL due https support]),
--)
-+dnl AC_CHECK_LIB(curl, curl_easy_init,
-+dnl      [AC_CHECK_HEADER(curl/curl.h,
-+dnl         curl_ok=yes,
-+dnl         curl_ok=no)],
-+dnl      AC_MSG_ERROR([failed: I need CURL due https support]),
-+dnl )
- 
- AC_SUBST(BDBLIB)
- 
 Index: debian/control
 ===================================================================
 --- debian/control	(revision 16116)
@@ -30,7 +7,7 @@
  Uploaders: Jason Gunthorpe <jgg at debian.org>, Adam Heath <doogie at debian.org>, Matt Zimmerman <mdz at debian.org>, Michael Vogt <mvo at debian.org>, Otavio Salvador <otavio at debian.org>
  Standards-Version: 3.7.2.2
 -Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12-1), xsltproc, docbook-xsl, xmlto
-+Build-Depends: debhelper (>= 5.0), gettext (>= 0.12)
++Build-Depends: debhelper (>= 5.0), gettext (>= 0.12), libcurl3-dev
  XS-Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
  
  Package: apt
@@ -65,19 +42,6 @@
  Package: apt-utils
  Architecture: any
  Depends: ${shlibs:Depends}
-@@ -64,12 +47,3 @@ Description: APT utility programs
-  apt-extracttemplates is used by debconf to prompt for configuration 
-  questions before installation. apt-ftparchive is used to create Package
-  and other index files. apt-sortpkgs is a Package/Source file normalizer.
--
--Package: apt-transport-https
--Architecture: any
--Depends: ${shlibs:Depends}
--Priority: optional
--Section: admin
--Description: APT https transport
-- This package contains a APT https transport. It makes it possible to
-- use 'deb https://foo distro main' lines in the sources.list.
 Index: debian/rules
 ===================================================================
 --- debian/rules	(revision 16116)
@@ -91,15 +55,6 @@
  # Build architecture-independent files here.
  libapt-pkg-doc: build-doc debian/shlibs.local
  	dh_testdir -p$@
-@@ -185,7 +185,7 @@ apt-doc: build-doc
- 
- # Build architecture-dependent files here.
- 
--binary-arch: apt libapt-pkg-dev apt-utils apt-transport-https
-+binary-arch: apt libapt-pkg-dev apt-utils # apt-transport-https
- apt: build debian/shlibs.local
- 	dh_testdir -p$@
- 	dh_testroot -p$@
 @@ -197,7 +197,7 @@ apt: build debian/shlibs.local
  	cp $(BLD)/bin/apt-* debian/$@/usr/bin/
  
@@ -138,27 +93,6 @@
  	dh_installdocs -p$@
  	dh_installexamples -p$@
  
-Index: methods/makefile
-===================================================================
---- methods/makefile	(revision 16116)
-+++ methods/makefile	(working copy)
-@@ -53,11 +53,11 @@ SOURCE = http.cc rfc2553emu.cc connect.c
- include $(PROGRAM_H)
- 
- # The https method
--PROGRAM=https
--SLIBS = -lapt-pkg -lcurl
--LIB_MAKES = apt-pkg/makefile
--SOURCE = https.cc
--include $(PROGRAM_H)
-+#PROGRAM=https
-+#SLIBS = -lapt-pkg -lcurl
-+#LIB_MAKES = apt-pkg/makefile
-+#SOURCE = https.cc
-+#include $(PROGRAM_H)
- 
- # The ftp method
- PROGRAM=ftp
 Index: Makefile
 ===================================================================
 --- Makefile	(revision 16116)

Modified: projects/haf/trunk/apt/methods/makefile
===================================================================
--- projects/haf/trunk/apt/methods/makefile	2008-10-03 14:37:40 UTC (rev 16346)
+++ projects/haf/trunk/apt/methods/makefile	2008-10-03 14:39:19 UTC (rev 16347)
@@ -53,11 +53,11 @@
 include $(PROGRAM_H)
 
 # The https method
-#PROGRAM=https
-#SLIBS = -lapt-pkg -lcurl
-#LIB_MAKES = apt-pkg/makefile
-#SOURCE = https.cc
-#include $(PROGRAM_H)
+PROGRAM=https
+SLIBS = -lapt-pkg -lcurl
+LIB_MAKES = apt-pkg/makefile
+SOURCE = https.cc
+include $(PROGRAM_H)
 
 # The ftp method
 PROGRAM=ftp


More information about the maemo-commits mailing list